package ap

// Just steal this one from sharkey
// Also use this one for all AP objects for now
// Can make a function to extract context from an expanded object later
// TODO: Consider if such a function is worth it or if it would hinder learning
var allContext = map[string]any{
	"@context": []any{
		"https://www.w3.org/ns/activitystreams",
		"https://w3id.org/security/v1",
		map[string]any{
			"fedibird": "http://fedibird.com/ns#",
			"toot":     "http://joinmastodon.org/ns#",
			"schema":   "http://schema.org#",
			"misskey":  "https://misskey-hub.net/ns#",
			"firefish": "https://joinfirefish.org/ns#",
			"sharkey":  "https://joinsharkey.org/ns#",
			"vcard":    "http://www.w3.org/2006/vcard/ns#",

			"Key": "sec:Key",

			"manuallyApprovesFollowers": "as:manuallyApprovesFollowers",
			"sensitive":                 "as:sensitive",
			"Hashtag":                   "as:Hashtag",
			"quoteUrl":                  "as:quoteUrl",

			"quoteUri": "fedibird:quoteUri",

			"Emoji":        "toot:Emoji",
			"featured":     "toot:featured",
			"discoverable": "toot:discoverable",

			"PropertyValue": "schema:PropertyValue",
			"value":         "schema:value",

			"_misskey_content":  "misskey:_misskey_content",
			"_misskey_quote":    "misskey:_misskey_quote",
			"_misskey_reaction": "misskey:_misskey_reaction",
			"_misskey_votes":    "misskey:_misskey_votes",
			"_misskey_summary":  "misskey:_misskey_summary",
			"isCat":             "misskey:isCat",

			"speakAsCat": "firefish:speakAsCat",

			"backgroundUrl": "sharkey:backgroundUrl",
			"listenbrainz":  "sharkey:listenbrainz",
		},
	},
}
